QGIS Application - Bug report #2598
Polygon fill patterns scale differently in pdf export as raster versus non-raster
2010-03-27 02:30 PM - John Tull

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 12658
Description

When | print to a pdf file with the "as raster" option selected, polygon fill patterns appear as | would expect. If |, instead, export the pdf as a
vector file, the fill patterns are quite oversized/enlarged and appear pixelated. For example, using cross-hatch patterns looks quite
different on the finalized map that is exported between the two methods. | believe this is true for both old and new symbology. qt-4.6.2

Associated revisions

Revision 55a1778b - 2011-07-03 04:41 PM - Jiirgen Fischer

other workaround for Qt#5114 (fixes #3250, #3028, #2598)

Revision 908a494b - 2011-07-04 11:17 AM - Jiirgen Fischer

other workaround for Qt#5114 (fixes #3250, #3028, #2598)

History

#1 - 2010-06-07 07:11 AM - Marco Hugentobler
- Resolution set to wontfix

- Status changed from Open to Closed

This is a Qt but (http://bugreports.qt.nokia.com/browse/QTBUG-5114). It works if you print to raster because QPainter then renders to image first and then

embedds the image into the pdf.
No idea why the patch in the ticket is not applied to the gt sources. | tested with a patched Qt and it worked properly.

And note: it only works for symbology-ng 'svgFill' types. The hardcoded polygon fill hatches are printed as raster by QBrush, so won't scale nicely on
printout.

Closing the ticket because it is not a bug in QGIS (though | understand it is annoying for users).

#2 - 2010-06-07 09:38 AM - John Tull

Thanks for your comments on this, Marco. | recall, vaguely, that we discussed this in email at some point in the past. Your clarification is useful and should
help others that might come across this issue.

#3 - 2011-05-11 02:13 AM - Jiirgen Fischer
http://bugreports.qt.nokia.com/browse/QTBUG-5114

- Status changed from Closed to Feedback
- Resolution deleted (wontfix)

#4 - 2011-05-11 02:13 AM - Jiirgen Fischer

- Resolution set to upstream
- Status changed from Feedback to Closed
